Skip to main content
GET
/
api
/
v0
/
repositories
/
{repo_id}
/
teams
/
{team_id}
Retrieves repository team by id.
curl --request GET \
  --url https://api.example.com/api/v0/repositories/{repo_id}/teams/{team_id}
import requests

url = "https://api.example.com/api/v0/repositories/{repo_id}/teams/{team_id}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/api/v0/repositories/{repo_id}/teams/{team_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "members": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "username": "<string>",
      "avatar": "<string>",
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "name": "<string>",
  "handle": "<string>",
  "badges": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "image": "<string>",
      "description": "<string>"
    }
  ]
}
{
  "msg": "<string>"
}
{
  "msg": "<string>"
}
{
  "msg": "<string>"
}
{
  "msg": "<string>"
}

Path Parameters

repo_id
string<uuid>
required
team_id
string<uuid>
required

Response

Repository Team information

Team participating in a repository.

id
string<uuid>
required

Id of the team.

members
object[]
required
name
string | null

Name of the team.

This only will have a value if the reviewer is participating with a team, i.e. for solos this will be null.

handle
string | null

Handle of the team.

Similar to the name, this will be null for solo teams.

badges
object[]

Aggregate of the members badges.